// (C) 2021-2026 GoodData Corporation
/**
 * Tests whether the provided item is a dashboard item with visualization.
 * @param item - item to test
 *
 * @public
 */
export function isDashboardItemVisualization(item) {
    return item.visualization !== undefined;
}
/**
 * Tests whether the provided item is a dashboard item with visualization content.
 * @param item - item to test
 *
 * @public
 */
export function isDashboardItemVisualizationContent(item) {
    return item.visualizationContent !== undefined;
}
const RequiredConfigKeys = [
    "dateFilterConfig",
    "locale",
    "separators",
    "colorPalette",
    "settings",
];
/**
 * Tests whether the provided config is fully resolved - it contains all the necessary values.
 *
 * @param config - config to test
 */
export function isResolvedConfig(config) {
    if (!config) {
        return false;
    }
    const specifiedConfig = Object.keys(config);
    return RequiredConfigKeys.every((key) => specifiedConfig.includes(key));
}
